//{{NO_DEPENDENCIES}}
// Microsoft Developer Studio generated include file.
// Used by jurares.rc
//
#define IDC_STATIC                      -1

//-----------------------------------------------------------------------------
//#define OWL_WINDOW_RH

//
// Win95 Dialog styles, if not defined. Can be used in resources & source
//
#if !defined(DS_3DLOOK)
# define DS_3DLOOK            0x0004L
#endif
#if !defined(DS_FIXEDSYS)
# define DS_FIXEDSYS          0x0008L
#endif
#if !defined(DS_NOFAILCREATE)
# define DS_NOFAILCREATE      0x0010L
#endif
#if !defined(DS_CONTROL)
# define DS_CONTROL           0x0400L
#endif
#if !defined(DS_CENTER)
# define DS_CENTER            0x0800L
#endif
#if !defined(DS_CENTERMOUSE)
# define DS_CENTERMOUSE       0x1000L
#endif
#if !defined(DS_CONTEXTHELP)
# define DS_CONTEXTHELP       0x2000L
#endif

//
// Commands
//
//#define CM_EXIT             24310
//
// CM_EXIT as used by OWL clashes with CM_EXIT in VCL.  To avoid
// silently failing at runtime because we got the wrong value:
//
// 1) define _OWL_CM_EXIT.  this macro will always be used, and can
// be used anywhere that CM_EXIT was used in previous versions of OWL
//
// 2) if CM_EXIT is already defined, and neither _USE_VCL_CM_EXIT nor
// _USE_OWL_CM_EXIT is defined, issue an error
//
// 3) if _USE_OWL_CM_EXIT is defined, define CM_EXIT to _OWL_CM_EXIT
//
// 4) if CM_EXIT is not defined, and neither _USE_VCL_CM_EXIT nor
// _USE_OWL_CM_EXIT is defined, ddefine CM_EXIT to _OWL_CM_EXIT, and
// issue a warning that this may clash with a (future) include of
// <controls.hpp> from VCL
//
#if !defined(BI_COMP_BORLANDC) || __BORLANDC__ < 0x530
#	define CM_EXIT             24310
#else
#	define _OWL_CM_EXIT        24310

#	if defined(CM_EXIT)
# 	if defined(_USE_OWL_CM_EXIT)
#   	undef CM_EXIT
#   	define CM_EXIT _OWL_CM_EXIT
# 	elif !defined(_USE_VCL_CM_EXIT)
#   	error CM_EXIT clash: define either _USE_OWL_CM_EXIT or _USE_VCL_CM_EXIT
# 	endif
#	elif !defined(_USE_VCL_CM_EXIT)
# 	if !defined(_USE_OWL_CM_EXIT)
#   	pragma message CM_EXIT definition may clash with <controls.hpp>
# 	endif
#   define CM_EXIT        _OWL_CM_EXIT
#	endif
#endif

#define CM_EDITUNDO         24321       // Common edit menu commands
#define CM_EDITCUT          24322
#define CM_EDITCOPY         24323
#define CM_EDITPASTE        24324
#define CM_EDITDELETE       24325
#define CM_EDITCLEAR        24326
#define CM_EDITADD          24327
#define CM_EDITEDIT         24328
#define CM_EDITREDO         24329

//
// Default ObjectWindows app icon ID
//
#define IDI_OWLAPP          32000
#define IDI_OWLAPPSM        32001

#if defined(RC_INVOKED)
//
// The following ObjectWindows constants are C++ constants. The macros 
// duplicated below allow the constants to be used when compiling resources.
//

//
// Decoration IDs
//
#define IDW_STATUSBAR       32040
#define IDW_TOOLBAR         32041

//
// MDI IDs
//
#define IDW_MDICLIENT       32000
#define IDW_FIRSTMDICHILD   32001

#endif  // RC_INVOKED


//---------------------------------------------
//from OWL_COLUMNHDR_RH

#define IDC_SIZEBARV  1010
#define IDC_SIZEBARH  1011
#define IDC_SPLITV    1012
#define IDC_SPLITH    1013


//---------------------------------------------
//from OWL_DOCVIEW_RH

//
// Commands
//
#define CM_FILENEW          24331
#define CM_FILEOPEN         24332
#define CM_FILESAVE         24333
#define CM_FILESAVEAS       24334
#define CM_FILEREVERT       24335

#define CM_FILEPAGESETUP    24336
#define CM_FILEPRINT        24337
#define CM_FILEPRINTERSETUP 24338

#define CM_FILECLOSE        24339

#define CM_VIEWCREATE       24341

//
// String IDs
//
#define IDS_DOCMANAGERFILE  32500
#define IDS_DOCLIST         32501
#define IDS_VIEWLIST        32502
#define IDS_UNTITLED        32503
#define IDS_UNABLEOPEN      32504
#define IDS_UNABLECLOSE     32505
#define IDS_READERROR       32506
#define IDS_WRITEERROR      32507
#define IDS_DOCCHANGED      32508
#define IDS_NOTCHANGED      32509
#define IDS_NODOCMANAGER    32510
#define IDS_NOMEMORYFORVIEW 32511
#define IDS_DUPLICATEDOC    32512

//
// Menu ID
//
#define IDM_DOCMANAGERFILE  32401


//------------------------------------------------------------------------
// from OWL_EDITFILE_RH

//
// Commands
//
#define CM_FILENEW          24331
#define CM_FILEOPEN         24332
#define CM_FILESAVE         24333
#define CM_FILESAVEAS       24334
#define CM_FILEREVERT       24335

#define CM_FILEPAGESETUP    24336
#define CM_FILEPRINT        24337
#define CM_FILEPRINTERSETUP 24338

#define CM_FILECLOSE        24339
#define CM_FILEPRINTPREVIEW 24340

//
// String IDs
//
#define IDS_UNTITLEDFILE    32550
#define IDS_UNABLEREAD      32551
#define IDS_UNABLEWRITE     32552
#define IDS_FILECHANGED     32553
#define IDS_FILEFILTER      32554
#define IDS_RICHEDITFILTER  32555

//
// Menu IDs
//
#define IDM_EDITFILE        32550

//
// Accelerator IDs
//
#define IDA_EDITFILE        32550


//------------------------------------------------------------------------
//#define OWL_EDITSEAR_RH

//
// Commands
//
#define CM_EDITFIND         24351
#define CM_EDITREPLACE      24352
#define CM_EDITFINDNEXT     24353

//
// String IDs
//
#define IDS_CANNOTFIND      32540

//
// Menu IDs
//
#define IDM_EDITSEARCH      32541

//
// Accelerator IDs
//
#define IDA_EDITSEARCH      32542



//---------------------------------------------------------------------
//#define OWL_EDITVIEW_RH

#define IDM_EDITVIEW   32581
#define IDA_EDITVIEW   32582

//---------------------------------------------------------------------
//#define OWL_EXCEPT_RH

//
// General & application exception messages
//
#define IDS_UNKNOWNEXCEPTION    32767     //
#define IDS_OWLEXCEPTION        32766     //
#define IDS_OKTORESUME          32765     //
#define IDS_UNHANDLEDXMSG       32764     //
#define IDS_UNKNOWNERROR        32763     //
#define IDS_NOAPP               32762     //
#define IDS_OUTOFMEMORY         32761     //
#define IDS_INVALIDMODULE       32760     //
#define IDS_INVALIDMAINWINDOW   32759     //
#define IDS_VBXLIBRARYFAIL      32758     //

#define IDS_INVALIDMODULEFCN    32757     //
#define IDS_INVALIDMODULEORD    32756     //
                                          
#define IDS_COMMCTRL            32755     //

//
//
//
#define IDS_NOTSUPPORTEDCALL    32751     
//
// bad file format
//
#define IDS_BADFILEFORMAT       32750
//                                        
// TXWindow messages                      
//                                        
#define IDS_CLASSREGISTERFAIL   32749     //
#define IDS_CHILDREGISTERFAIL   32748     //
#define IDS_WINDOWCREATEFAIL    32747     //
#define IDS_WINDOWEXECUTEFAIL   32746     //
#define IDS_CHILDCREATEFAIL     32745     //
                                          
#define IDS_MENUFAILURE         32744     //
#define IDS_VALIDATORSYNTAX     32743     //
#define IDS_PRINTERERROR        32742     //
                                          
#define IDS_LAYOUTINCOMPLETE    32741     //
#define IDS_LAYOUTBADRELWIN     32740     //
                                          
//                                        
// TXGdi messages                         
//                                        
#define IDS_GDIFAILURE          32739     //
#define IDS_GDIALLOCFAIL        32738     //
#define IDS_GDICREATEFAIL       32737     //
#define IDS_GDIRESLOADFAIL      32736     //
#define IDS_GDIFILEREADFAIL     32735     //
#define IDS_GDIDELETEFAIL       32734     //
#define IDS_GDIDESTROYFAIL      32733     //
#define IDS_INVALIDDIBHANDLE    32732     //
#define IDS_WINGNOTAVAILABLE    32731     //
#define IDS_WINGFAILURE         32730     //
                                          
//                                        
// TXShell messages (32450 - 32499 allocated to TXShell)
//
#define IDS_SHELLFAILURE        32450     //
#define IDS_SHELLALLOCFAIL      32451     //
#define IDS_INVALIDPATH         32452     //
#define IDS_BINDTOOBJECTFAIL    32453     //
#define IDS_SHGETDESKTOPFAIL    32454     //
#define IDS_SHGETSPECIALFAIL    32455     //
#define IDS_GETATTRIBUTESOFFAIL 32456     //
#define IDS_GETFILEINFOFAIL     32457     //
#define IDS_GETDISPLAYNAMEFAIL  32458     //
#define IDS_GETPATHFROMPIDLFAIL 32459     //
#define IDS_SETNAMEOFFAIL       32460     //
#define IDS_GETUIOBJECTOFFAIL   32461     //
#define IDS_COMPAREIDSFAIL      32462     //
#define IDS_TSHELLITEMINVALID   32463     //
#define IDS_ENUMOBJECTSFAIL     32464     //
#define IDS_CLONEFAIL           32465     //
#define IDS_SHELLITERATORATEND  32466     //
#define IDS_IDLISTNEXTFAIL      32467     //
#define IDS_IDLISTSKIPFAIL      32468     //
#define IDS_IDLISTRESETFAIL     32469     //
#define IDS_IDLISTZEROPOINTER   32470     //
#define IDS_SHGETMALLOCFAIL     32471     //
#define IDS_GETICONLOCFAIL      32472     //
#define IDS_EXTRICONEXTRACTFAIL 32473     //
#define IDS_SHELLRENAMEFAIL     32474     //
#define IDS_SHELLCOPYFAIL       32475     //
#define IDS_SHELLMOVEFAIL       32476     //
#define IDS_SHELLDELETEFAIL     32477     //
#define IDS_CREATESHELLLINKFAIL 32478     //
#define IDS_LINKQUERYINTRFCFAIL 32479     //
#define IDS_PERSISTFILELOADFAIL 32480     //
#define IDS_LINKGETIDLISTFAIL   32481     //
#define IDS_SHLLINKSETPATHFAIL  32482     //
#define IDS_SHLLINKSETDESCFAIL  32483     //
                                          
#define IDS_CLIPBOARDBUSY       32729     //
                                          
//                                        
// Owl 1 compatibility messages           
//                                        
#define IDS_INVALIDWINDOW       32709     //
#define IDS_INVALIDCHILDWINDOW  32708     //
#define IDS_INVALIDCLIENTWINDOW 32707     //



//---------------------------------------------------------------------
//#define OWL_GLYPHBTN_RH

#define IDB_BORBTNII_OK         1000
#define IDB_BORBTNII_CANCEL     1001
#define IDB_BORBTNII_NO         1002
#define IDB_BORBTNII_HELP       1003
#define IDB_BORBTNII_ADD        1004
#define IDB_BORBTNII_DEL        1005
#define IDB_BORBTNII_EDIT       1006
#define IDB_BORBTNII_KEY        1007
#define IDB_BORBTNII_APPLY      1008
#define IDB_BORBTNII_REVERT     1009
#define IDB_BORBTNII_SETUP      1010
#define IDB_BORBTNII_BROWSE     1011


//---------------------------------------------------------------------
//#define OWL_HLPMANAG_RH

#define CM_CONTEXTHELP      24390
#define CM_WHAT_IS_THIS     24391

#define IDM_WHAT_IS_THIS    32584

#define IDC_HELPCURSOR  		1014


//---------------------------------------------------------------------
//#define OWL_INPUTDIA_RH

#define IDD_INPUTDIALOG     32514

#define ID_PROMPT           4091
#define ID_INPUT            4090

//---------------------------------------------------------------------
//TLocaleString
#if defined(RC_INVOKED)

#define XLAT 201 {     // custom resource type for OLE 2.01 localization
#define XEND "\0"}     // force null terminator on resource strings

#define RCLANG(main, sub) ((main<<8) + sub + 1)   // Intel byte ordering

#define NEUTRAL             // a no-op for backward compatibility
#define ENGLISH             RCLANG(0x09, 0)    // 0x0009
#define ENGLISH_US          RCLANG(0x09, 1)    // 0x0409
#define ENGLISH_UK          RCLANG(0x09, 2)    // 0x0809
#define ENGLISH_AUSTRALIA   RCLANG(0x09, 3)    // 0x0C09
#define ENGLISH_CANADA      RCLANG(0x09, 4)    // 0x1009
#define FRENCH              RCLANG(0x0C, 0)    // 0x000C
#define FRENCH_FRANCE       RCLANG(0x0C, 1)    // 0x040C
#define FRENCH_BELGIUM      RCLANG(0x0C, 2)    // 0x080C
#define FRENCH_CANADA       RCLANG(0x0C, 3)    // 0x0C0C
#define FRENCH_SWISS        RCLANG(0x0C, 4)    // 0x100C
#define GERMAN              RCLANG(0x07, 0)    // 0x0007
#define GERMAN_GERMANY      RCLANG(0x07, 1)    // 0x0407
#define GERMAN_SWISS        RCLANG(0x07, 2)    // 0x0807
#define GERMAN_AUSTRIA      RCLANG(0x07, 3)    // 0x0C07
#define DUTCH               RCLANG(0x13, 0)    // 0x0013
#define DUTCH_DENMARK       RCLANG(0x13, 1)    // 0x0413
#define DUTCH_BELGIUM       RCLANG(0x13, 2)    // 0x0813
#define ITALIAN             RCLANG(0x10, 0)    // 0x0010
#define ITALIAN_ITALY       RCLANG(0x10, 1)    // 0x0410
#define ITALIAN_SWISS       RCLANG(0x10, 2)    // 0x0810
#define PORTUGUESE          RCLANG(0x16, 0)    // 0x0016
#define PORTUGUESE_BRAZIL   RCLANG(0x16, 1)    // 0x0416
#define PORTUGUESE_PORTUGAL RCLANG(0x16, 2)    // 0x0816
#define SPANISH             RCLANG(0x0a, 0)    // 0x000A
#define SPANISH_SPAIN       RCLANG(0x0a, 1)    // 0x040A
#define SPANISH_MEXICO      RCLANG(0x0a, 2)    // 0x080A
#define SPANISH_MODERN      RCLANG(0x0a, 3)    // 0x0C0A
#define DANISH              RCLANG(0x06, 0)    // 0x0006
#define FINNISH             RCLANG(0x0b, 0)    // 0x000B
#define NORWEGIAN           RCLANG(0x14, 0)    // 0x0014
#define SWEDISH             RCLANG(0x1d, 0)    // 0x001D
#define HUNGARIAN           RCLANG(0x0e, 0)    // 0x000E
#define CZECH               RCLANG(0x05, 0)    // 0x0005
#define SLOVAK              RCLANG(0x1b, 0)    // 0x001B
#define POLISH              RCLANG(0x15, 0)    // 0x0015

#endif


//---------------------------------------------------------------------
//#define OWL_LISTVIEW_RH

//
// Many list view specific CMs are just backward compatible names for common
// CMs
//
#define CM_LISTUNDO         CM_EDITUNDO
#define CM_LISTCUT          CM_EDITCUT
#define CM_LISTCOPY         CM_EDITCOPY
#define CM_LISTPASTE        CM_EDITPASTE
#define CM_LISTDELETE       CM_EDITPASTE
#define CM_LISTCLEAR        CM_EDITCLEAR
#define CM_LISTADD          CM_EDITADD
#define CM_LISTEDIT         CM_EDITEDIT

#define IDM_LISTVIEW        32582
#define IDA_LISTVIEW        32583
#define IDS_LISTNUM         32584


//---------------------------------------------------------------------
//#define OWL_MDI_RH

//
// Commands
//
#define CM_CASCADECHILDREN   24361
#define CM_TILECHILDREN      24362
#define CM_TILECHILDRENHORIZ 24363
#define CM_ARRANGEICONS      24364
#define CM_CLOSECHILDREN     24365
#define CM_CREATECHILD       24366



//---------------------------------------------------------------------
//#define OWL_PANESPLI_RH

#define IDC_RESIZE_H    1000
#define IDC_RESIZE_V    1001
#define IDC_RESIZE_HV   1002


//---------------------------------------------------------------------
//#define OWL_PICKLIST_RH

#define IDD_PICKLISTDIALOG            32513
#define IDC_LIST                      101

//---------------------------------------------------------------------
//#define OWL_PREVWIN_RH

// Print Preview glyphs
//
#define IDB_PREVIOUS        24500
#define IDB_NEXT            24501
#define IDB_ONEUP           24502
#define IDB_TWOUP           24503
#define IDB_CURRPAGE        24504
#define IDB_DONE            24505

//---------------------------------------------------------------------
//#define OWL_PRINTER_RH

//
// Printing error message string resource IDs
//
#define IDS_PRNNODEFAULT     32589
#define IDS_PRNON            32590
#define IDS_PRNERRORTEMPLATE 32591
#define IDS_PRNOUTOFMEMORY   32592
#define IDS_PRNOUTOFDISK     32593
#define IDS_PRNCANCEL        32594
#define IDS_PRNMGRABORT      32595
#define IDS_PRNGENERROR      32596
#define IDS_PRNERRORCAPTION  32597

//
// Printer abort dialog & control IDs
//
#define IDD_ABORTDIALOG      32599 // keep different than any string IDs
#define ID_PAGE   104              // Page # text control
#define ID_TITLE  101              // Document title text control
#define ID_DEVICE 102              // Device & optional port text control
#define ID_PORT   103              // Old port text control, unused
#define ID_TOPAGE 105              // Ending page number


//-----------------------------------------------------------------------------
//#define OWL_PROPSHT_RH

#if !defined(ID_APPLY)
# define  ID_APPLY              12321
#endif
#if !defined(ID_BACK)
# define  ID_BACK               12324
#endif
#if !defined(ID_NEXT)
# define  ID_NEXT               12323
#endif
#if !defined(ID_FINISH)
# define  ID_FINISH             12325
#endif
#if !defined(IDHELP)
# define  IDHELP                9
#endif

#define IDS_APPLY               32440
#define IDS_BACK                32441
#define IDS_CANCEL              32442
#define IDS_CLOSE               32443
#define IDS_FINISH              32444
#define IDS_HELP                32445
#define IDS_NEXT                32446
#define IDS_OK                  32447


//-----------------------------------------------------------------------------
//#define OWL_RCNTFILE_RH

//
// Commands
//
#define CM_MRU_FIRST 31990


//-----------------------------------------------------------------------------
//#define OWL_RICHEDV_RH

//
// Application specific definitions:
//
#define CM_FORMATFONT 	    24371
#define CM_FORMATCOLOR      24372
#define CM_FORMATBOLD       24373
#define CM_FORMATITALIC     24374
#define CM_FORMATUNDERLINE  24375
#define CM_FORMATSTRIKEOUT  24376
//for menu CM_PARAGRAPHLEFT-1
#define CM_PARAGRAPHLEFT    24378
#define CM_PARAGRAPHCENTER  24379
#define CM_PARAGRAPHRIGHT   24380
#define CM_PARAGRAPHBULLET  24381

#define IDM_RICHEDITVIEW    32583
#define IDA_RICHEDITVIEW    32584


//-----------------------------------------------------------------------------
//#define OWL_SLIDER_RH

//
// Slider thumb bitmap ids
//
#define IDB_HSLIDERTHUMB 32000
#define IDB_VSLIDERTHUMB 32001


//-----------------------------------------------------------------------------
//#define OWL_STATUSBA_RH

#define IDS_MODES    32530    // String resource to define mode On indicators
#define IDS_MODESOFF 32531    // String resource to define mode Off indicators


//-----------------------------------------------------------------------------
//#define OWL_URLLINK_RH

//
// The index from which the error strings start in resource file
//
#define IDS_PATHNOTFOUND    		32718
#define IDS_FILENOTFOUIND   		32719
#define IDS_FILEINVALID     		32720
#define IDS_ACCESSDENIED    		32721
#define IDS_INVALIDASSOC    		32722
#define IDS_DDEBISY         		32723
#define IDS_DDEFAILED       		32724
#define IDS_DDETYMEOUT      		32725
#define IDS_NOINSTANCE      		32726
#define IDS_SHAREDERROR     		32727
#define IDS_UNCKNOWNERR     		32728

#define IDC_HANDCURSOR      		1016


//-----------------------------------------------------------------------------
//#define OWL_VALIDATE_RH

#define IDS_VALPXPCONFORM       32520
#define IDS_VALINVALIDCHAR      32521
#define IDS_VALNOTINRANGE       32522
#define IDS_VALNOTINLIST        32523



//-----------------------------------------------------------------------------
//#define OWL_WINSOCK_RH

//
// The index from which the error strings start in resource file
//
#define IDS_WINSOCK_BASE        32300
#define IDS_WINSOCK_BASE_1      32301
#define IDS_WINSOCK_BASE_2      32302


//-----------------------------------------------------------------------------

